# appcontainer host

An appcontainer host specifies the compute host for running containers.

## appcontainer host list

List available hosts

    openstack appcontainer host list [-h] [-f {csv,json,table,value,yaml}]
                                     [-c COLUMN] [--max-width <integer>]
                                     [--fit-width] [--print-empty]
                                     [--noindent]
                                     [--quote {all,minimal,none,nonnumeric}]
                                     [--sort-column SORT_COLUMN]
                                     [--marker <marker>] [--limit <limit>]
                                     [--sort-key <sort-key>]
                                     [--sort-dir <sort-dir>]

-h, --help

  show this help message and exit

--marker <marker>

  The last host UUID of the previous page; displays list of hosts after “marker”.

--limit <limit>

  Maximum number of hosts to return

--sort-key <sort-key>

  Column to sort results by

--sort-dir <sort-dir>

  Direction to sort. “asc” or “desc”.

-f {csv,json,table,value,yaml},
--format {csv,json,table,value,yaml}

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max- width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--noindent

  whether to disable indenting the JSON

--quote {all,minimal,none,nonnumeric}

  when to include quotes, defaults to nonnumeric

## appcontainer host show

Show a host

    openstack appcontainer host show [-h]
                                     [-f {json,shell,table,value,yaml}]
                                     [-c COLUMN] [--max-width <integer>]
                                     [--fit-width] [--print-empty]
                                     [--noindent] [--prefix PREFIX]
                                     <host>

<host>

  ID or name of the host to show.

-h, --help

  show this help message and exit

-f {json,shell,table,value,yaml},
--format {json,shell,table,value,yaml}

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max- width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--noindent

  whether to disable indenting the JSON

--prefix PREFIX

  add a prefix to all variable names

this page last updated: 2024-03-11 13:24:37

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug